Share via


Dns Resolver Policy Virtual Network Links - Delete

Deletes a DNS resolver policy virtual network link. WARNING: This operation cannot be undone.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/dnsResolverPolicies/{dnsResolverPolicyName}/virtualNetworkLinks/{dnsResolverPolicyVirtualNetworkLinkName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
dnsResolverPolicyName
path True

string

minLength: 1
maxLength: 80
pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_\-]*[a-zA-Z0-9])?$

The name of the DNS resolver policy.

dnsResolverPolicyVirtualNetworkLinkName
path True

string

minLength: 1
maxLength: 80
pattern: ^[a-zA-Z0-9]([a-zA-Z0-9_\-]*[a-zA-Z0-9])?$

The name of the DNS resolver policy virtual network link for the DNS resolver policy.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
if-match

string

ETag of the resource. Omit this value to always overwrite the current resource. Specify the last-seen ETag value to prevent accidentally overwriting any concurrent changes.

Responses

Name Type Description
202 Accepted

Resource deletion accepted.

Headers

  • Location: string
  • Retry-After: integer
204 No Content

Resource does not exist.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample request

DELETE https://management.azure.com/subscriptions/abdd4249-9f34-4cc6-8e42-c2e32110603e/resourceGroups/sampleResourceGroup/providers/Microsoft.Network/dnsResolverPolicies/sampleDnsResolverPolicy/virtualNetworkLinks/sampleVirtualNetworkLink?api-version=2025-05-01

Sample response

Azure-AsyncOperation: https://management.azure.com/api/mresolver/subscriptions/abdd4249-9f34-4cc6-8e42-c2e32110603e/resourceGroups/sampleResourceGroup/providers/Microsoft.Network/locations/westus2/dnsResolverOperationStatuses/asyncOperationId?api-version=2025-05-01
Location: https://management.azure.com/api/mresolver/subscriptions/abdd4249-9f34-4cc6-8e42-c2e32110603e/resourceGroups/sampleResourceGroup/providers/Microsoft.Network/locations/westus2/dnsResolverOperationResults/asyncOperationId?api-version=2025-05-01

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.